# Class PaymentAccountFilter

#### Hierarchy

- unknown
  - PaymentAccountFilter

- Defined in src/protobuf/pb_pb.d.ts:2269
- Defined in src/protobuf/pb_pb.d.ts:2287

#####
Index

### Constructors

constructor

### Methods

getGetMethodName
getPaymentMethodId
getValue
serializeBinary
setGetMethodName
setPaymentMethodId
setValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccountFilter(): PaymentAccountFilter

- #### Returns PaymentAccountFilter

  Inherited from jspb.Message.constructor

## Methods

### getGetMethodName

- getGetMethodName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2273

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2270

### getValue

- getValue(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2276

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2279

### setGetMethodName

- setGetMethodName(value: string): PaymentAccountFilter

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2274

### setPaymentMethodId

- setPaymentMethodId(value: string): PaymentAccountFilter

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2271

### setValue

- setValue(value: string): PaymentAccountFilter

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2277

### toObject

- toObject(includeInstance?: boolean): PaymentAccountFilter.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccountFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2280

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountFilter

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2283

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountFilter, reader: BinaryReader): PaymentAccountFilter

- #### Parameters

  - ##### message: PaymentAccountFilter

  - ##### reader: BinaryReader

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2284

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountFilter, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccountFilter

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2282

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccountFilter): PaymentAccountFilter.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountFilter

  #### Returns PaymentAccountFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2281

Generated using TypeDoc